Plymouth does not show the passphrase prompt

Bug #557102 reported by Ara Pulido on 2010-04-07
30
This bug affects 4 people
Affects Status Importance Assigned to Milestone
kubuntu-default-settings (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: plymouth

In a KVM machine, with an encrypted partition.

Plymouth shows and locks until the user enters the passphase, but the user is not prompted with information about why it is locked.

I will attach a screenshot.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: plymouth 0.8.1-4ubuntu1
ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
Uname: Linux 2.6.32-19-generic i686
Architecture: i386
CurrentDmesg: [ 560.188166] eth0: no IPv6 routers present
Date: Wed Apr 7 09:53:12 2010
DefaultPlymouth: /lib/plymouth/themes/kubuntu-logo/kubuntu-logo.plymouth
InstallationMedia: Error: [Errno 13] Permiso denegado: '/var/log/installer/media-info'
Lsusb: Error: command ['lsusb'] failed with exit code 1:
MachineType: Bochs Bochs
ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.32-19-generic root=/dev/mapper/hostname-root ro quiet splash
ProcEnviron:
 LANGUAGE=
 LANG=es_ES.UTF-8
 SHELL=/bin/bash
ProcFB: 0 VGA16 VGA
SourcePackage: plymouth
TextPlymouth: /lib/plymouth/themes/ubuntu-text/ubuntu-text.plymouth
dmi.bios.date: 01/01/2007
dmi.bios.vendor: Bochs
dmi.bios.version: Bochs
dmi.chassis.type: 1
dmi.chassis.vendor: Bochs
dmi.modalias: dmi:bvnBochs:bvrBochs:bd01/01/2007:svnBochs:pnBochs:pvr:cvnBochs:ct1:cvr:
dmi.product.name: Bochs
dmi.sys.vendor: Bochs

Related branches

lp:~vorlon/kubuntu-default-settings/lp-557102
Kubuntu Members: Pending requested 2010-04-10
Ara Pulido (apulido) wrote :
Ara Pulido (apulido) wrote :
tags: added: iso-testing
Steve Langasek (vorlon) wrote :

Is this reproducible when using the ubuntu-logo plymouth theme? (verifiable by installing plymouth-theme-ubuntu-logo and running sudo update-alternatives --set default.plymouth /lib/plymouth/themes/ubuntu-logo/ubuntu-logo.plymouth)

Ara Pulido (apulido) on 2010-04-07
tags: added: kubuntu
Ara Pulido (apulido) wrote :

Steve, this does not reproduce using the ubuntu logo.

Steve Langasek (vorlon) wrote :

A bug in the kubuntu plymouth theme, then; reassigning.

The kubuntu theme may be missing the latest ubuntu-logo fixes from plymouth.

affects: plymouth (Ubuntu) → kubuntu-default-settings (Ubuntu)
Steve Langasek (vorlon) on 2010-04-10
Changed in kubuntu-default-settings (Ubuntu):
importance: Undecided → Medium
Steve Langasek (vorlon) wrote :

Theme script updated to match the current ubuntu-logo theme at lp:~vorlon/kubuntu-default-settings/lp-557102.

Changed in kubuntu-default-settings (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kubuntu-default-settings - 1:10.04ubuntu16

---------------
kubuntu-default-settings (1:10.04ubuntu16) lucid; urgency=low

  [ Harald Sitter ]
  * Add plasma-desktop update script 02-kubuntu-menu-icon.js to migrate
    from wrongly named kubuntu-menu to start-here-kubuntu icon (LP: #559725)
    + This requires a configChanged() interface to be implemented in kickoff

  [ Ryan Kavanagh ]
  * Updated the plymouth-theme-kubuntu-logo logo with the new logo (we've got
    a pretty K now). (LP: #557220)

  [ Steve Langasek ]
  * Sync up the plymouth theme script with the version in ubuntu-logo, fixing
    a number of text display bugs. The only remaining delta is the background
    color, and the logo name. LP: #557102.
 -- Kubuntu Developers <email address hidden> Fri, 09 Apr 2010 21:23:53 -0400

Changed in kubuntu-default-settings (Ubuntu):
status: Fix Committed → Fix Released
starslights (starslights) wrote :

Hello,

I have tested the new kubuntu daily-build as requested, build 20100410 version 64 bits and the bug still.

Harald Sitter (apachelogger) wrote :

This package is not part of the ISO you tested.

http://cdimage.ubuntu.com/kubuntu/daily-live/20100410/lucid-desktop-i386.manifest shows plymouth-theme-kubuntu-logo 1:10.04ubuntu15, the bug was only fixed in ubuntu16 though.

Stephan Diestelhorst (syon) wrote :

Mhmhm, I am at 1:10.04ubuntu23, but the graphical prompt does not show up.
Instead the textual LUKS prompt shows. When shutting down, however,
Plymouth properly shows the splash screen.

Stephan Diestelhorst (syon) wrote :

Mhmmmhhm, I am at 1:10.04ubuntu23, but the splash screen does not show,
but I am rather greeted with a textual LUKS prompt.
The shutdown animation of Plymouth is played properly, though.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers